<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL:$
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Author(s): Brad Morgan <morgabra@osuosl.org>                           |
// |            Mike Clay <claym@osuosl.org>                                |
// +------------------------------------------------------------------------+
// $Id:$


require_once(DAODIR."/Object_history.php");

/**
* An object, the action performed on it, and the date it was performed
*
* @package classes
* @subpackage dao
*/
class Object_History extends DAO_Object_History
{

//{{{ constructor
    function Object_History ($id = 0)
    {
        if($id) {
            $this->id = $id;
            $this->get($this->id);
        
        }
    }

//}}}
 
//{{{ getDate()
    /**
    * Returns the data in the date table in a human readable form.
    *
    *
    */
    function getDate() {

        return format_date($this->date);

    }

//}}}

}

?>
